#ifndef __TOF_IIC_H
#define __TOF_IIC_H
#include <Arduino.h>
#include "stdint.h"

#define Delay_us delayMicroseconds
#define TOF_IIC_SCL_PIN	PD3
#define TOF_IIC_SDA_PIN	PD2


#define SDA_Dout_LOW() digitalWrite(TOF_IIC_SDA_PIN,LOW)
#define SDA_Dout_HIGH() digitalWrite(TOF_IIC_SDA_PIN,HIGH)
#define SDA_Data_IN() digitalRead(TOF_IIC_SDA_PIN)
#define SCL_Dout_LOW() digitalWrite(TOF_IIC_SCL_PIN,LOW)
#define SCL_Dout_HIGH() digitalWrite(TOF_IIC_SCL_PIN,HIGH)
#define SCL_Data_IN() digitalRead(TOF_IIC_SCL_PIN)
#define SDA_Write(XX) digitalWrite(TOF_IIC_SDA_PIN,(XX?HIGH:LOW))

void TOF_IIC_Init(void);
void TOF_IIC_Start(void);
void TOF_IIC_Stop(void);
void TOF_IIC_Send_Byte(uint8_t txd);
uint8_t TOF_IIC_Read_Byte(uint8_t ack);
void TOF_IIC_NAck(void);
void TOF_IIC_Ack(void);
uint8_t TOF_IIC_Wait_Ack(void);


#endif


